#ifndef _HALICENSE_HEADER_
#define _HALICENSE_HEADER_

struct halicense_info {
	int 		version_id;
	time_t  	install_date;
	int 		days;
	char*		feedback;
};
#define HA_PID 21
#define LICENSE_V2 1

int halicense_install(char * license_file);
struct halicense_info * ha_license_init();
int halicense_get_info(struct halicense_info  *ha_info);
char * ha_license_get_feedback( );
int ha_license_get_version_id(struct halicense_info *info);
int ha_license_get_install_time(struct halicense_info *info);
int ha_license_get_days(struct halicense_info *info);
int halicense_is_expired();

#endif
